import request from '@/utils/request'

export function login(data) {
  return request({
    url: '/api/user/login',
    method: 'post',
    data
  })
}

export function get_user_list(data) {
  return request({
    url: '/api/user/get_user_list',
    method: 'post',
    data
  })
}

//  /api/userinfo/add
export function add(data) {
  return request({
    url: '/api/user/add',
    method: 'post',
    data
  })
}

//  /api/power/user_power
export function user_power(data) {
  return request({
    url: '/api/power/user_power',
    method: 'post',
    data
  })
}

// /api/userinfo/update
export function update(data) {
  return request({
    url: '/api/user/update',
    method: 'post',
    data
  })
}

// /api/userinfo/del
export function del(data) {
  return request({
    url: '/api/user/del',
    method: 'post',
    data
  })
}

// /api/power/get_list
export function get_role_list(data) {
  return request({
    url: '/api/power/get_list',
    method: 'post',
    data
  })
}

// /api/power/get_module_list
export function get_module_list(data) {
  return request({
    url: '/api/power/get_module_list',
    method: 'post',
    data
  })
}

//  /api/power/add_update_role
export function add_update_role(data) {
  return request({
    url: '/api/power/add_update_role',
    method: 'post',
    data
  })
}

// /api/power/get_role_module
export function get_role_module(data) {
  return request({
    url: '/api/power/get_role_module',
    method: 'post',
    data
  })
}

// /api/power/get_user_power_list
export function get_user_power_list(data) {
  return request({
    url: '/api/power/get_user_power_list',
    method: 'post',
    data
  })
}

//  /api/power/add_user_power
export function add_user_power(data) {
  return request({
    url: '/api/power/add_user_power',
    method: 'post',
    data
  })
}

// /api/power/get_role_name_list
export function get_role_name_list(data) {
  return request({
    url: '/api/power/get_role_name_list',
    method: 'post',
    data
  })
}

export function faceStart() {
  return request({
    url: '/face/startrecognition/',
    method: 'get',
    baseURL: process.env.VUE_APP_FACE_API
  })
}

export function faceStop() {
  return request({
    url: '/face/stoprecognition/',
    method: 'get',
    baseURL: process.env.VUE_APP_FACE_API
  })
}

export function faceRecognition(data) {
  return request({
    url: '/face/recognition/',
    method: 'post',
    baseURL: process.env.VUE_APP_FACE_API,
    data
  })
}

export function faceAdd(data) {
  return request({
    url: '/face/add/',
    method: 'post',
    baseURL: process.env.VUE_APP_FACE_API,
    data
  })
}
